﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace XDCLegendLastSeriesItem.EnergyModel
{
    public class EnergyProduction : ObservableModel
    {
        private string _country { get; set; }
        private string _region { get; set; }
        private double _nuclear { get; set; }
        private double _coal { get; set; }
        private double _oil { get; set; }
        private double _gas { get; set; }
        private double _hydro { get; set; }

        public double Hydro {
            get { return _hydro; }
            set
            {
                _hydro = value;
                NotifyPropertyChanged();
            }
        }
        public string Country
        {
            get { return _country; }
            set
            {
                _country = value;
                NotifyPropertyChanged();
            }
        }
        public string Region
        {
            get { return _region; }
            set
            {
                _region = value;
                NotifyPropertyChanged();
            }
        }

        public double Nuclear
        {
            get { return _nuclear; }
            set
            {
                _nuclear = value;
                NotifyPropertyChanged();
            }
        }
        public double Coal
        {
            get { return _coal; }
            set
            {
                _coal = value;
                NotifyPropertyChanged();
            }
        }
        public double Oil
        {
            get { return _oil; }
            set
            {
                _oil = value;
                NotifyPropertyChanged();
            }
        }
        public double Gas
        {
            get { return _gas; }
            set
            {
                _gas = value;
                NotifyPropertyChanged();
            }
        }

    }
    public class ObservableModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;
        public void NotifyPropertyChanged([CallerMemberName] String propertyName = "")
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
