﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Timers;
using System.Windows.Threading;

namespace XDCLegendLastSeriesItem.EnergyModel
{
    public class ViewModel : ObservableModel
    {
        private ObservableCollection<EnergyProduction> _data {
            get
            {
                return _data;
            }
            set
            {
                _data = value;
                NotifyPropertyChanged();
            }
        }
        public ObservableCollection<EnergyProduction> Data { get; set; }
        private int cnt = 40;
        private Random rnd;
        private DispatcherTimer _timer = new DispatcherTimer();
        private int _millisecondRefreshInterval = 2000;

        public ViewModel()
        {
            rnd = new Random();
            this.Data = new ObservableCollection<EnergyProduction>();
            for (int i = 0; i < cnt; i++)
            {
                this.Data.Add(new EnergyProduction { Region = "Country" + i.ToString(), Country = "C" + i.ToString(), Coal = rnd.Next(0, 1000), Oil = rnd.Next(0, 1000), Gas = rnd.Next(0, 1000), Nuclear = rnd.Next(0, 1000), Hydro = rnd.Next(0, 1000) });
            }

            _timer.Interval = TimeSpan.FromMilliseconds(
              _millisecondRefreshInterval);
            _timer.Tick += Timer_Tick;
            _timer.Start();
        }

        void Timer_Tick(object sender, EventArgs e)
        {
            this.Data.Add(new EnergyProduction { Region = "Country" + cnt.ToString(), Country = "C" + cnt.ToString(), Coal = rnd.Next(0, 1000), Oil = rnd.Next(0, 1000), Gas = rnd.Next(0, 1000), Nuclear = rnd.Next(0, 1000), Hydro = rnd.Next(0, 1000) });
            cnt++;
            NotifyPropertyChanged("Data");
        }
    }
}
